#ifndef DEPARTDELEGATE_H
#define DEPARTDELEGATE_H

#include <QStyledItemDelegate>
#include <QPixmap>

#define ICON_WIDTH 70

class departDelegate : public QStyledItemDelegate
{
    Q_OBJECT
public:
    departDelegate(QObject *parent = 0);    
    ~departDelegate();
    void paint ( QPainter * painter, const QStyleOptionViewItem  & option, const QModelIndex & index ) const;
    QWidget *createEditor(QWidget *parent, const QStyleOptionViewItem &option, const QModelIndex &index) const;
    void setEditorData(QWidget *editor, const QModelIndex &index) const;
    QSize sizeHint ( const QStyleOptionViewItem  & option, const QModelIndex & index ) const;
private:
    QPixmap *busPixmap;
    QPixmap *trainPixmap;
    QPixmap *tgvPixmap;
};

#endif // DEPARTDELEGATE_H
